﻿local L = LibStub("AceLocale-3.0"):NewLocale("TB_RaidHelper", "enUS", true)
if (not L) then return end

L["DESCRIPTION_METADATA_FIELD"] = "Notes"
L["MENU_SUBHEADER"] = "These options let you define the degree of automation provided by TB Raid Helper.\n"
L["MENU_AUTO_INVITE_HEADER"] = "Auto-Invite"
L["MENU_AUTO_INVITE_SUBHEADER"] = "Specify which words will cause you to automatically invite other players.\n"
L["MENU_AUTO_INVITE"] = "Keywords"
L["MENU_AUTO_INVITE_DESCRIPTION"] = "You will automatically attempt to invite the players who whisper the following words to you."
L["MENU_AUTO_INVITE_USAGE"] = "<word1>, <word2>, ..."
L["MENU_IN_WINTERGRASP"] = "Wintergrasp extras"
L["MENU_IN_WINTERGRASP_DESCRIPTION"] = "Recognize additional keywords during ongoing Lake Wintergrasp battles."

L["CMD_HELP1"] = "TBRH"
L["CMD_HELP2"] = "TBRaidHelper"

L["CMD_DROP1"] = "TDrop"

L["CMD_FOLLOW1"] = "TFollow"
L["CMD_FOLLOW2"] = "TF"

L["CMD_DISBAND1"] = "PDisband"
L["CMD_DISBAND2"] = "RDisband"

L["CMD_LEADERSHIP1"] = "TLead"
L["CMD_LEADERSHIP2"] = "TFLead"

L["CMD_PROMOTE_ALL1"] = "PromoteAll"
L["CMD_PROMOTE_ALL2"] = "PAll"

L["CMD_DEMOTE_ALL1"] = "DemoteAll"
L["CMD_DEMOTE_ALL2"] = "DAll"

L["PROMOTED"] = "You are now a raid officer."
L["DEMOTED"] = "You are no longer a raid officer."
L["NOT_GROUPED"] = "<TB Raid Helper> You are not grouped."
L["DISBAND_IN_BG"] = "<TB Raid Helper> You cannot disband your group while inside a battleground."
L["NOT_PROMOTED"] = "<TB Raid Helper> You do not have sufficient privileges to disband your %s."
L["DISBANDING"] = "<TB Raid Helper> Disbanding your %s."
L["REQUESTING_LEADERSHIP"] = "<TB Raid Helper> Requesting %s leadership."
L["REQUESTING_OFFICERSHIP"] = "<TB Raid Helper> Requesting raid officership."
L["ALREADY_PROMOTED"] = "<TB Raid Helper> You are already the party leader or a raid officer."
L["PASSING_LEADERSHIP"] = "<TB Raid Helper> Passing leadership to %s."
L["PROMOTING"] = "<TB Raid Helper> Promoting %s to raid officer."
L["DROP_GROUP"] = "<TB Raid Helper> Asking %s to drop group."
L["LEAVING_GROUP"] = "<TB Raid Helper> Dropping group at %s's request."
L["FOLLOW"] = "<TB Raid Helper> Asking %s to follow you."
L["FOLLOW_TOO_FAR"] = "<TB Raid Helper> %s is too far to follow you."
L["FOLLOWING"] = "<TB Raid Helper> Now following %s."
L["NOT_RAID_LEADER"] = "<TB Raid Helper> You are not the raid leader."
L["NOT_IN_RAID"] = "<TB Raid Helper> You are not in a raid group."
L["ALREADY_IN_YOUR_GROUP"] = "<TB Raid Helper> %s is already in your group."
L["ALREADY_IN_MY_GROUP"] = "<TB Raid Helper> You are already in my group."
L["DROP_GROUP_AND_WHISPER"] = "<TB Raid Helper> Drop group and whisper me '%s' to get an invite."
L["AUTO_VENDORED"] = "<TB Raid Helper> Automatically vendored: %s."
L["AUTO_ACCEPTED_INVITE"] = "<TB Raid Helper> Automatically accepted a group invitation from %s."

L["GENERAL_HELP_LINE1"] = "\124cffffff00%s\124r"
L["GENERAL_HELP_LINE2"] = "\124cffffff00Slash Commands:\124r"
L["GENERAL_HELP_LINE3"] = "\124cff20ff20/pdisband\124r or \124cff20ff20/rdisband\124r: attempts to forcefully disband your group (requires group leadership or raid officership)."
L["GENERAL_HELP_LINE4"] = "\124cff20ff20/tdrop <name>\124r: asks the specified player to drop group. If a name is omitted, makes you leave your group."
L["GENERAL_HELP_LINE5"] = "\124cff20ff20/tfollow <name>\124r: makes the specified player follow you. If a name is omitted, makes your target follow you."
L["GENERAL_HELP_LINE6"] = "\124cff20ff20/tlead\124r: requests party leadership or raid officership, as appropriate."
L["GENERAL_HELP_LINE7"] = "\124cff20ff20/tflead\124r: forces the group leader to pass leadership to you, even in a raid."
L["GENERAL_HELP_LINE8"] = "\124cff20ff20/pall\124r: promotes all the members of your raid to raid officers."
L["GENERAL_HELP_LINE9"] = "\124cff20ff20/dall\124r: demotes all of your raid's officers."

L["AUTO_INVITE_IN_BG"] = "<TB Raid Helper> Invite request received while inside a battleground. Attempting to get you invited..."
L["FULL_GROUP"] = "<TB Raid Helper> We are full. Sorry!"
L["CANNOT_INVITE"] = "<TB Raid Helper> I do not have permission to invite you. Looking for someone who does..."

L["GROUP"] = "group"
L["PARTY"] = "party"
L["RAID"] = "raid"

L["PENDING_CALENDAR_INVITE"] = "<TB Raid Helper> There is 1 calendar event invite awaiting your attention."
L["PENDING_CALENDAR_INVITES"] = "<TB Raid Helper> There are %d calendar event invites awaiting your attention."

L["ALREADY_GROUPED"] = format(ERR_ALREADY_IN_GROUP_S, "(.+)")
L["DUNGEON_DIFFICULTY"] = format(ERR_DUNGEON_DIFFICULTY_CHANGED_S, "(.+)")

L["WG_AUTO_INVITE_SUGGEST"] = "invite"
L["WG_AUTO_INVITE_TRIGGERS"] =
{
    "^invite$",
    "%A*invite%A+p[lr][0eiosxz][axz]?[sz]?e?",
    "%A*invite%A+meh?%A",
    "%A*invite%A+meh?$",
    "^inv$",
    "%A*inv%A+p[lr][0eiosxz][axz]?[sz]?e?",
    "%A*inv%A+meh?%A",
    "%A*inv%A+meh?$",
}
