﻿local L = LibStub("AceLocale-3.0"):NewLocale("TB_RaidHelper", "esES", false)
if (not L) then return end

L["ALREADY_GROUPED"] = "format(ERR_ALREADY_IN_GROUP_S, \"(.+)\")" -- Requires localization
L["ALREADY_IN_MY_GROUP"] = "<TB Raid Helper> You are already in my group." -- Requires localization
L["ALREADY_IN_YOUR_GROUP"] = "<TB Raid Helper> %s is already in your group." -- Requires localization
L["ALREADY_PROMOTED"] = "<TB Raid Helper> You are already the party leader or a raid officer." -- Requires localization
L["AUTO_ACCEPTED_INVITE"] = "<TB Raid Helper> Automatically accepted a group invitation from %s." -- Requires localization
L["AUTO_INVITE_IN_BG"] = "<TB Raid Helper> Invite request received while inside a battleground. Attempting to get you invited..." -- Requires localization
L["AUTO_VENDORED"] = "<TB Raid Helper> Automatically vendored: %s." -- Requires localization
L["CANNOT_INVITE"] = "<TB Raid Helper> I do not have permission to invite you. Looking for someone who does..." -- Requires localization
L["CMD_DEMOTE_ALL1"] = "DemoteAll" -- Requires localization
L["CMD_DEMOTE_ALL2"] = "DAll" -- Requires localization
L["CMD_DISBAND1"] = "PDisband" -- Requires localization
L["CMD_DISBAND2"] = "RDisband" -- Requires localization
L["CMD_DROP1"] = "TDrop" -- Requires localization
L["CMD_FOLLOW1"] = "TFollow" -- Requires localization
L["CMD_FOLLOW2"] = "TF" -- Requires localization
L["CMD_HELP1"] = "TBRH" -- Requires localization
L["CMD_HELP2"] = "TBRaidHelper" -- Requires localization
L["CMD_LEADERSHIP1"] = "TLead" -- Requires localization
L["CMD_LEADERSHIP2"] = "TFLead" -- Requires localization
L["CMD_PROMOTE_ALL1"] = "PromoteAll" -- Requires localization
L["CMD_PROMOTE_ALL2"] = "PAll" -- Requires localization
L["DEMOTED"] = "You are no longer a raid officer." -- Requires localization
L["DESCRIPTION_METADATA_FIELD"] = "Notes" -- Requires localization
L["DISBAND_IN_BG"] = "<TB Raid Helper> You cannot disband your group while inside a battleground." -- Requires localization
L["DISBANDING"] = "<TB Raid Helper> Disbanding your %s." -- Requires localization
L["DROP_GROUP"] = "<TB Raid Helper> Asking %s to drop group." -- Requires localization
L["DROP_GROUP_AND_WHISPER"] = "<TB Raid Helper> Drop group and whisper me '%s' to get an invite." -- Requires localization
L["DUNGEON_DIFFICULTY"] = "format(ERR_DUNGEON_DIFFICULTY_CHANGED_S, \"(.+)\")" -- Requires localization
L["FOLLOW"] = "<TB Raid Helper> Asking %s to follow you." -- Requires localization
L["FOLLOWING"] = "<TB Raid Helper> Now following %s." -- Requires localization
L["FOLLOW_TOO_FAR"] = "<TB Raid Helper> %s is too far to follow you." -- Requires localization
L["FULL_GROUP"] = "<TB Raid Helper> We are full. Sorry!" -- Requires localization
L["GENERAL_HELP_LINE1"] = "|cffffff00%s|r" -- Requires localization
L["GENERAL_HELP_LINE2"] = "|cffffff00Slash Commands:|r" -- Requires localization
L["GENERAL_HELP_LINE3"] = "|cff20ff20/pdisband|r or |cff20ff20/rdisband|r: attempts to forcefully disband your group (requires group leadership or raid officership)." -- Requires localization
L["GENERAL_HELP_LINE4"] = "|cff20ff20/tdrop <name>|r: asks the specified player to drop group. If a name is omitted, makes you leave your group." -- Requires localization
L["GENERAL_HELP_LINE5"] = "|cff20ff20/tfollow <name>|r: makes the specified player follow you. If a name is omitted, makes your target follow you." -- Requires localization
L["GENERAL_HELP_LINE6"] = "|cff20ff20/tlead|r: requests party leadership or raid officership, as appropriate." -- Requires localization
L["GENERAL_HELP_LINE7"] = "|cff20ff20/tflead|r: forces the group leader to pass leadership to you, even in a raid." -- Requires localization
L["GENERAL_HELP_LINE8"] = "|cff20ff20/pall|r: promotes all the members of your raid to raid officers." -- Requires localization
L["GENERAL_HELP_LINE9"] = "|cff20ff20/dall|r: demotes all of your raid's officers." -- Requires localization
L["GROUP"] = "group" -- Requires localization
L["LEAVING_GROUP"] = "<TB Raid Helper> Dropping group at %s's request." -- Requires localization
L["MENU_AUTO_INVITE"] = "Keywords" -- Requires localization
L["MENU_AUTO_INVITE_DESCRIPTION"] = "You will automatically attempt to invite the players who whisper the following words to you." -- Requires localization
L["MENU_AUTO_INVITE_HEADER"] = "Auto-Invite" -- Requires localization
L["MENU_AUTO_INVITE_SUBHEADER"] = [=[Specify which words will cause you to automatically invite other players.
]=] -- Requires localization
L["MENU_AUTO_INVITE_USAGE"] = "<word1>, <word2>, ..." -- Requires localization
L["MENU_IN_WINTERGRASP"] = "Wintergrasp extras" -- Requires localization
L["MENU_IN_WINTERGRASP_DESCRIPTION"] = "Recognize additional keywords during ongoing Lake Wintergrasp battles." -- Requires localization
L["MENU_SUBHEADER"] = [=[These options let you define the degree of automation provided by TB Raid Helper.
]=] -- Requires localization
L["NOT_GROUPED"] = "<TB Raid Helper> You are not grouped." -- Requires localization
L["NOT_IN_RAID"] = "<TB Raid Helper> You are not in a raid group." -- Requires localization
L["NOT_PROMOTED"] = "<TB Raid Helper> You do not have sufficient privileges to disband your %s." -- Requires localization
L["NOT_RAID_LEADER"] = "<TB Raid Helper> You are not the raid leader." -- Requires localization
L["PARTY"] = "party" -- Requires localization
L["PASSING_LEADERSHIP"] = "<TB Raid Helper> Passing leadership to %s." -- Requires localization
L["PENDING_CALENDAR_INVITE"] = "<TB Raid Helper> There is 1 calendar event invite awaiting your attention." -- Requires localization
L["PENDING_CALENDAR_INVITES"] = "<TB Raid Helper> There are %d calendar event invites awaiting your attention." -- Requires localization
L["PROMOTED"] = "You are now a raid officer." -- Requires localization
L["PROMOTING"] = "<TB Raid Helper> Promoting %s to raid officer." -- Requires localization
L["RAID"] = "raid" -- Requires localization
L["REQUESTING_LEADERSHIP"] = "<TB Raid Helper> Requesting %s leadership." -- Requires localization
L["REQUESTING_OFFICERSHIP"] = "<TB Raid Helper> Requesting raid officership." -- Requires localization
L["WG_AUTO_INVITE_SUGGEST"] = "invite" -- Requires localization
L["WG_AUTO_INVITE_TRIGGERS"] = [=[    {
        "^invite$",
        "%A*invite%A+p[lr][0eiosxz][axz]?[sz]?e?",
        "%A*invite%A+meh?%A",
        "%A*invite%A+meh?$",
        "^inv$",
        "%A*inv%A+p[lr][0eiosxz][axz]?[sz]?e?",
        "%A*inv%A+meh?%A",
        "%A*inv%A+meh?$",
    }]=] -- Requires localization

